Package com.beust.jcommander.converters

# Class DefaultListConverter<T>

java.lang.Object
com.beust.jcommander.converters.DefaultListConverter<T>

Type Parameters:
  `T` - the element type

All Implemented Interfaces:
  `IStringConverter<List<T>>`

public class DefaultListConverter<T> extends Object implements IStringConverter<List<T>>
A converter to obtain a list of elements.

## Constructor Summary

Constructors
Constructor
Description
`DefaultListConverter(IParameterSplitter splitter, IStringConverter<T> converter)`
Constructs a new converter.

## Method Summary

Modifier and Type
Method
Description
`List<T>`
`convert(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultListConverter

public DefaultListConverter(IParameterSplitter splitter, IStringConverter<T> converter)
Constructs a new converter.

Parameters:
  `splitter` - to split value into list of arguments
  `converter` - to convert list of arguments to target element type

## Method Details

### convert

public List<T> convert(String value)

Specified by:
  `convert` in interface `IStringConverter<T>`
Returns:
  an object of type <T> created from the parameter value.